---
- name: Add virtual hosts to webservers
  hosts: webservers
  become: yes
  remote_user: ansible
  tasks:
    - name: load list of vhosts
      include_vars: vhost_list.yml

    - name: block acces on unscpecified URLs
      blockinfile:
        create: yes
        insertafter: BOF
        path: /etc/httpd/conf.d/ansiblevhosts.conf
        marker: '# {mark} Ansible Managed Block for restricting access'
        block: |
          <VirtualHost *:80>
              <Location />
                  Require all denied
              </Location>
          </VirtualHost>

    - name: build vhosts using list
      blockinfile:
        create: yes
        insertafter: EOF
        path: /etc/httpd/conf.d/ansiblevhosts.conf
        marker: '# {mark} Ansible Managed Block for vhost {{ item }}'
        block: |
          <VirtualHost *:80>
              DocumentRoot "/var/www/html"
              ServerName {{ item }}
          </VirtualHost>
      loop: "{{ vhosts }}"

    - name: make sure everything is running
      service:
        name: httpd
        enabled: yes
        state: restarted
...
